<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class MilestoneProgress extends AbstractModel
{
    use SoftDeletes;

    protected $table = 'milestone_progress';

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'deleted_at' => 'datetime',
        ];
    }

     public function milestone()
     {
         return $this->belongsTo(Milestone::class, 'milestone_id');
     }

     public function user()
     {
         return $this->belongsTo(User::class, 'user_id');
     }
}
